# Buffer Sizes

Overview
Headers
Synopsis

## Overview

The macros `BOOST_IOSTREAMS_DEFAULT_DEVICE_BUFFER_SIZE`, `BOOST_IOSTREAMS_DEFAULT_FILTER_BUFFER_SIZE` and `BOOST_IOSTREAMS_DEFAULT_PBACK_BUFFER_SIZE` can be used to configure the default sizes of buffers allocated by the Iostreams library when a Filter or Device is attached to a `stream_buffer` or `stream`, or when it is added to a chain.

The default values are subject to change in future versions of the Iostreams library.

## Headers

`<boost/iostreams/constants.hpp>`

## Synopsis

    #define BOOST_IOSTREAMS_DEFAULT_DEVICE_BUFFER_SIZE  4096
    #define BOOST_IOSTREAMS_DEFAULT_FILTER_BUFFER_SIZE  128
    #define BOOST_IOSTREAMS_DEFAULT_PBACK_BUFFER_SIZE   4

Revised 02 Feb 2008

© Copyright 2008 CodeRage, LLC
© Copyright 2004-2007 Jonathan Turkanis
Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at http://www.boost.org/LICENSE_1_0.txt)